Advertisement
Guest User

Untitled

a guest
Mar 30th, 2017
65
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
text 18.00 KB | None | 0 0
  1. #!/bin/sh
  2. # $Id: MPlayer.SlackBuild,v 1.27 2012/07/01 13:07:08 root Exp root $
  3. # Copyright 2006, 2007, 2008, 2010, 2011, 2012 Eric Hameleers, Eindhoven, NL
  4. # Copyright 2013 Patrick J. Volkerding, Sebeka, MN, USA
  5. # All rights reserved.
  6. #
  7. # Permission to use, copy, modify, and distribute this software for
  8. # any purpose with or without fee is hereby granted, provided that
  9. # the above copyright notice and this permission notice appear in all
  10. # copies.
  11. #
  12. # THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
  13. # WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
  14. # MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
  15. # IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
  16. # CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
  17. # SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
  18. # LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
  19. # USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
  20. # ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  21. # OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
  22. # OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  23. # SUCH DAMAGE.
  24. # -----------------------------------------------------------------------------
  25. #
  26. # Slackware SlackBuild script
  27. # ===========================
  28. # By: Eric Hameleers <alien@slackware.com>
  29. # For: MPlayer
  30. # Descr: a movie player for LINUX
  31. # URL: http://www.mplayerhq.hu/
  32. # Needs:
  33. # Changelog:
  34. # 1.0rc1-1: 05/Nov/2006 by Eric Hameleers <alien@slackware.com>
  35. # * Initial build.
  36. # 1.0rc1-2: 07/Nov/2006 by Eric Hameleers <alien@slackware.com>
  37. # * Removed MPlayer's internal libdvdcss code from the build, so
  38. # that MPlayer no longer plays encrypted DVD's by default (and the
  39. # package is now safe to upload to public repositories).
  40. # If it is allowed in your country, you can either install
  41. # libdvdcss (which is picked up automatically by MPlayer), or
  42. # rebuild MPlayer yourself using this SlackBuild - and set the
  43. # variable REMOVECSS="no" first (see further down).
  44. # Use this commandline if you can't or won't modify the script:
  45. # REMOVECSS="no" ./MPlayer.SlackBuild
  46. # 1.0rc1-3: 08/Nov/2006 by Eric Hameleers <alien@slackware.com>
  47. # * Install the mplayer.conf into correct location '/etc/mplayer/'
  48. # 1.0rc1-4: 15/mar/2007 by Eric Hameleers <alien@slackware.com>
  49. # * Differentiate between versions of X11 (modular X has another
  50. # install-prefix); update default skin; enable mplayer menu;
  51. # add security fix
  52. # 1.0rc1-5: 07/jun/2007 by Eric Hameleers <alien@slackware.com>
  53. # * Add security fix.
  54. # 1.0rc2-1: 09/oct/2007 by Eric Hameleers <alien@slackware.com>
  55. # * New version.
  56. # 1.0rc2-2: 01/feb/2008 by Eric Hameleers <alien@slackware.com>
  57. # * Apply 4 security fixes.
  58. # 1.0rc2-3: 10/mar/2008 by Eric Hameleers <alien@slackware.com>
  59. # * Apply a patch that allows compilation against the ivtv driver
  60. # in the 2.6.24.x kernels.
  61. # r28148-1: 14/dec/2008 by Eric Hameleers <alien@slackware.com>
  62. # * Build SVN snapshot - remove support for *all* patented or
  63. # questionable software if "USE_PATENTS" is set to "NO" - think
  64. # of DECSS dvd decryption code, and mp3/aac/amr audio encoders.
  65. # r28929-1: 10/mar/2009 by Eric Hameleers <alien@slackware.com>
  66. # * Update.
  67. # r29301-1: 12/may/2009 by Eric Hameleers <alien@slackware.com>
  68. # * Update.
  69. # r29301-1: 12/may/2009 by Eric Hameleers <alien@slackware.com>
  70. # * Update.
  71. # 20100926-1: 26/sep/2010 by Eric Hameleers <alien@slackware.com>
  72. # * Slackware has MPlayer now of course, but it does not hurt
  73. # to have a full-featured binary package available. The 1.0rc3
  74. # was released recently but I prefer to build a snapshot.
  75. # 20110624-1: 24/jun/2011 by Eric Hameleers <alien@slackware.com>
  76. # * Provide an up-to-date snapshot to be used in conjunction
  77. # with UMPlayer (a MPlayer GUI). New MPlayer source requires
  78. # a separate ffmpeg download.
  79. # 20120514-1: 14/may/2012 by volkerdi@slackware.com
  80. # * Update.
  81. # 1.1_20120701-1: 28/jun/2012 by alien@slackware.com
  82. # * Update to the 1.1 branch (essentially this is MPlayer-1.1 but
  83. # I like to check it out of SVN).
  84. # 1.1_20130819-1: 19/aug/2013 by volkerdi@slackware.com
  85. # * Update to the latest 1.1 branch, and the same ffmpeg that was
  86. # shipped with the 1.1.1 tarball. The official 1.1.1 release
  87. # did not start a new repo branch, so this is the latest.
  88. # 20150308-1: 09/mar/2015 by pprkut@slackware.com
  89. # * Update to latest version from trunk, together with ffmpeg 2.6,
  90. # which was released roughly around that date as well.
  91. # 20140403-1: 03/apr/2015 by volkerdi@slackware.com
  92. # * Update to latest version from trunk and ffmpeg-2.6.1.
  93. #
  94. # Run 'sh MPlayer.SlackBuild' to build a Slackware package.
  95. # The package (.txz) plus descriptive .txt file are created in /tmp .
  96. # Install using 'installpkg'.
  97. #
  98. # -----------------------------------------------------------------------------
  99.  
  100. # Set initial variables:
  101.  
  102. PRGNAM=MPlayer
  103. VERSION=${VERSION:-20170208}
  104. BRANCH=${BRANCH:-1.3} # leave empty if you want to build MPlayer trunk
  105. BUILD=${BUILD:-1}
  106. TAG=${TAG:-}
  107. NUMJOBS=${NUMJOBS:-" -j7 "}
  108.  
  109. # Show the branch version in the package name if we build from a branch:
  110. [ -n "$BRANCH" ] && PKGVERSION=${BRANCH}_${VERSION} || PKGVERSION=${VERSION}
  111.  
  112. DOCS="AUTHORS Changelog Copyright LICENSE README VERSION DOCS/HTML DOCS/tech"
  113.  
  114. # MPlayer repository characteristics:
  115. MPURI="svn://svn.mplayerhq.hu/mplayer/"
  116. if [ -n "$BRANCH" ]; then
  117. MPBRANCH="branches/$BRANCH"
  118. else
  119. MPBRANCH="trunk"
  120. fi
  121.  
  122. DEFSKIN=${DEFSKIN:-"Blue"} # Download more skins at the following url:
  123. SKINVER=${SKINVER:-"1.12"} # http://www.mplayerhq.hu/design7/dload.html
  124.  
  125. # Available languages: all cs de en es fr hu it pl ru zh_CN
  126. LANGUAGES="en,de,es,fr"
  127.  
  128. # Automatically determine the architecture we're building on:
  129. MARCH=$( uname -m )
  130. if [ -z "$ARCH" ]; then
  131. case "$MARCH" in
  132. i?86) export ARCH=i586 ;;
  133. armv7hl) export ARCH=$MARCH ;;
  134. arm*) export ARCH=arm ;;
  135. # Unless $ARCH is already set, use uname -m for all other archs:
  136. *) export ARCH=$MARCH ;;
  137. esac
  138. fi
  139.  
  140. if [ "$ARCH" = "x86_64" ]; then
  141. LIBDIRSUFFIX="64"
  142. # --enable-runtime-cpudetection is supported only for x86, x86_64, and PPC
  143. EXTRACONFIGUREOPTIONS="--enable-runtime-cpudetection"
  144. elif [ "$ARCH" = "i486" -o \
  145. "$ARCH" = "i586" -o \
  146. "$ARCH" = "i686" ]; then
  147. LIBDIRSUFFIX=""
  148. EXTRACONFIGUREOPTIONS="--enable-runtime-cpudetection"
  149. else
  150. LIBDIRSUFFIX=""
  151. EXTRACONFIGUREOPTIONS=""
  152. fi
  153.  
  154. # Where the WIN32 codecs are expectedfor instance
  155. CODECSDIR=/usr/lib${LIBDIRSUFFIX}/codecs
  156.  
  157. # ---------------------------------------------------------------------------
  158. # -- PATENT ALERT! --
  159. # MPLayer can be built with MP3 (lame) and AMR audio encoders
  160. # (needed for FLV and .3GP videos) but these libraries are 'contaminated'
  161. # with patents from Fraunhofer and GGP.
  162. # Also, the AAC encoder has patent issues.
  163. # You can build these patended algorithms into ffmpeg, and if you are an
  164. # ordinary end user, no one will bother you for using them.
  165. # For the binaries based on this SlackBuild that I distribute, it is a
  166. # different story. I am not allowed to distribute binary packages that
  167. # incorporate patented code. So here you go. My Slackware package was
  168. # built with "USE_PATENTS=NO" i.e. without using
  169. # the lame mp3, faac, AMR and dvdcss libraries.
  170. # ---------------------------------------------------------------------------
  171. USE_PATENTS=${USE_PATENTS:-"NO"}
  172.  
  173. # MPlayer will try to use one of the TrueType fonts present on the target
  174. # system for it's On Screen Display (OSD) font.
  175. # Slackware 11.0 ships with the Vera and DejaVu fonts, you may want to add
  176. # more fonts to this list. The first font found will be used by creating a
  177. # symbolic link "/usr/share/mplayer/subfont.ttf" to it.
  178. # The use of bitmapped fonts is considered deprecated, but you can still use
  179. # those if you want. Read http://www.mplayerhq.hu/DOCS/HTML/en/fonts-osd.html
  180. # if you want to know more about OSD font configuration.
  181. OSDFONTS="LiberationSans-Regular.ttf \
  182. Arialuni.ttf arial.ttf \
  183. DejaVuSans.ttf Vera.ttf"
  184.  
  185. # Where do we look for sources?
  186. SRCDIR=$(cd $(dirname $0); pwd)
  187.  
  188. SOURCE[0]="$SRCDIR/${PRGNAM}-${VERSION}.tar.xz"
  189. SRCURL[0]=""
  190.  
  191. # The default skin to use (we need to add at least one)
  192. SOURCE[1]="$SRCDIR/${DEFSKIN}-${SKINVER}.tar.bz2"
  193. SRCURL[1]="http://www.mplayerhq.hu/MPlayer/skins/${DEFSKIN}-${SKINVER}.tar.bz2"
  194.  
  195. # Use the src_checkout() function if no downloadable tarball exists.
  196. # This function checks out sources from SVN/CVS and creates a tarball of them.
  197. src_checkout() {
  198. # Param #1 : index in the SOURCE[] array.
  199. # Param #2 : full path to where SOURCE[$1] tarball should be created.
  200. # Determine the tarball extension:
  201. PEXT=$(echo "${2}" | sed -r -e 's/.*[^.].(tar.xz|tar.gz|tar.bz2|tgz).*/\1/')
  202. case "$PEXT" in
  203. "tar.xz") TARCOMP="J" ;;
  204. "tar.gz") TARCOMP="z" ;;
  205. "tgz") TARCOMP="z" ;;
  206. "tar.bz2") TARCOMP="j" ;;
  207. *) echo "Archive can only have extension 'tar.xz', '.tar.gz' '.tar.bz2' or '.tgz'" ; exit 1 ;;
  208. esac
  209. case ${1} in
  210. 0) # mplayer
  211. if [ "$(echo ${VERSION}|cut -c1)" == 'r' ]; then # revision instead of date
  212. echo "Only supported VERSION is a date - yyyymmdd - or 'HEAD'"
  213. else
  214. REV="{${VERSION}}"
  215. fi
  216. mkdir MPlayer-${VERSION} \
  217. && cd MPlayer-${VERSION} \
  218. && svn checkout --revision $REV ${MPURI}/${MPBRANCH} . \
  219. && svn propget svn:externals | sed -e 's/[[:space:]].*$//g' | xargs svn up --revision $REV \
  220. && chown -R root:root . \
  221. && cd .. \
  222. && tar --exclude-vcs -${TARCOMP}cf ${2} MPlayer-${VERSION}
  223. rm -rf MPlayer-${VERSION}
  224. ;;
  225. *) # Do nothing
  226. ;;
  227. esac
  228. }
  229.  
  230. # Place to build (TMP) package (PKG) and output (OUTPUT) the program:
  231. TMP=${TMP:-/tmp/build}
  232. PKG=$TMP/package-$PRGNAM
  233. OUTPUT=${OUTPUT:-/tmp}
  234.  
  235. ##
  236. ## --- with a little luck, you won't have to edit below this point --- ##
  237. ##
  238.  
  239. # Exit the script on errors:
  240. set -e
  241. trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
  242. # Catch unitialized variables:
  243. set -u
  244. P1=${1:-1}
  245.  
  246. # Create working directories:
  247. mkdir -p $TMP/tmp-$PRGNAM # location to build the source
  248. rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
  249. mkdir -p $PKG # place for the package to be built
  250. rm -rf $PKG/* # erase old package's contents
  251. mkdir -p $OUTPUT # place for the package to be saved
  252.  
  253. # Source file availability:
  254. for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
  255. if ! [ -f ${SOURCE[$i]} ]; then
  256. echo "Source '$(basename ${SOURCE[$i]})' not available yet..."
  257. # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
  258. [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/$(basename ${SOURCE[$i]})"
  259. if ! [ "x${SRCURL[$i]}" == "x" ]; then
  260. echo "Will download file to $(dirname $SOURCE[$i])"
  261. wget -nv -T 20 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
  262. if [ $? -ne 0 -o ! -s "${SOURCE[$i]}" ]; then
  263. echo "Downloading '$(basename ${SOURCE[$i]})' failed.. aborting the build."
  264. mv -f "${SOURCE[$i]}" "${SOURCE[$i]}".FAIL
  265. exit 1
  266. fi
  267. else
  268. # Try if we have a SVN/CVS download routine for ${SOURCE[$i]}
  269. echo "Will checkout sources to $(dirname $SOURCE[$i])"
  270. src_checkout $i "${SOURCE[$i]}" 2>&1 > $OUTPUT/checkout-$(basename ${SOURCE[$i]}).log
  271. fi
  272. if [ ! -f "${SOURCE[$i]}" -o ! -s "${SOURCE[$i]}" ]; then
  273. echo "File '$(basename ${SOURCE[$i]})' not available.. aborting the build."
  274. exit 1
  275. fi
  276. fi
  277. done
  278.  
  279. if [ "$P1" == "--download" ]; then
  280. echo "Download complete."
  281. exit 0
  282. fi
  283.  
  284. # --- PACKAGE BUILDING ---
  285.  
  286. echo "++"
  287. echo "|| $PRGNAM-$VERSION"
  288. echo "++"
  289.  
  290. cd $TMP/tmp-$PRGNAM
  291. echo "Extracting the source archive(s) for $PRGNAM..."
  292. tar -xvf ${SOURCE[0]}
  293.  
  294. chown -R root:root *
  295. chmod -R u+w,go+r-w,a+X-s *
  296. cd ${PRGNAM}-${VERSION}
  297.  
  298. # Determine what X we're running (the modular X returns the prefix
  299. # in the next command, while older versions stay silent):
  300. XPREF=$(pkg-config --variable=prefix x11) || true
  301. [ "$XPREF" == "" ] && XPREF='/usr/X11R6'
  302.  
  303. # Remove support for patent encumbered and possibly illegal code:
  304. if [ "$USE_PATENTS" != "YES" ]; then
  305. DO_PATENTED="--disable-mp3lame --disable-mp3lame-lavc \
  306. --disable-libopencore_amrnb \
  307. --disable-libopencore_amrwb"
  308. else
  309. DO_PATENTED=""
  310. fi
  311.  
  312. # fix building against samba 4
  313. zcat $SRCDIR/include-samba-4.0.patch.gz | patch -p1 --verbose || exit 1
  314.  
  315. # fix building against openjpeg 2
  316. #sed -i "s|lopenjpeg|lopenmj2|" ./configure
  317.  
  318. # fix flac playback with embedded album art:
  319. zcat $SRCDIR/MPlayer.demux_lavf.flac.diff.gz | patch -p1 --verbose || exit 1
  320.  
  321. echo Building ...
  322. # MPlayer wants to automatically determine compiler flags,
  323. # so we don't provide CFLAGS.
  324. ./configure \
  325. --prefix=/usr \
  326. --mandir=/usr/man \
  327. --confdir=/etc/mplayer \
  328. --enable-gui \
  329. --enable-menu \
  330. --enable-vdpau \
  331. --disable-arts \
  332. --disable-ossaudio \
  333. --disable-bitmap-font \
  334. --disable-ffmpeg_a \
  335. --codecsdir=${CODECSDIR} \
  336. --language="${LANGUAGES}" \
  337. ${EXTRACONFIGUREOPTIONS} \
  338. ${DO_PATENTED} \
  339. 2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
  340. # So that MPlayer does not report "UNKNOWN" as it's version:
  341. if [ ! -f VERSION ]; then
  342. echo $VERSION > VERSION
  343. fi
  344. make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
  345. make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
  346.  
  347. # --extra-cflags="-I/usr/include/openmj2-2.1/" \
  348.  
  349. # Build the html documentation (not all languages are available):
  350. if [ "$LANGUAGES" = "all" ]; then
  351. # make html-chunked
  352. make html-single
  353. else
  354. for i in $(echo $LANGUAGES | tr , ' ') ; do
  355. # make html-chunked-$i ;
  356. make html-single-$i ;
  357. done
  358. fi
  359.  
  360. # Prepare the configfile:
  361. mkdir -p $PKG/etc/mplayer
  362. cp etc/example.conf $PKG/etc/mplayer/mplayer.conf.new
  363.  
  364. # Install our default skin:
  365. cd $PKG/usr/share/mplayer/skins
  366. tar -xvf ${SOURCE[1]}
  367. chown -R root:root *
  368. chmod -R u+w,go+r-w,a+X-s *
  369. ln -s ${DEFSKIN} default
  370. cd -
  371.  
  372. # Add this to the doinst.sh:
  373. mkdir -p $PKG/install
  374. cat <<EOINS >> $PKG/install/doinst.sh
  375. # Handle the incoming configuration files:
  376. config() {
  377. for infile in \$1; do
  378. NEW="\$infile"
  379. OLD="\`dirname \$NEW\`/\`basename \$NEW .new\`"
  380. # If there's no config file by that name, mv it over:
  381. if [ ! -r \$OLD ]; then
  382. mv \$NEW \$OLD
  383. elif [ "\`cat \$OLD | md5sum\`" = "\`cat \$NEW | md5sum\`" ]; then
  384. # toss the redundant copy
  385. rm \$NEW
  386. fi
  387. # Otherwise, we leave the .new copy for the admin to consider...
  388. done
  389. }
  390.  
  391. # Installing a bitmap font is considered deprecated; use a TTF font instead.
  392. # We try to link to an installed TTF font at install time.
  393. # Configure a default TrueType font to use for the OSD :
  394. if [ ! -f usr/share/mplayer/subfont.ttf ]; then
  395. for font in ${OSDFONTS}; do
  396. if [ -f .${XPREF}/lib${LIBDIRSUFFIX}/X11/fonts/TTF/\${font} ]; then
  397. ( cd usr/share/mplayer/
  398. ln -sf ${XPREF}/lib${LIBDIRSUFFIX}/X11/fonts/TTF/\${font} subfont.ttf
  399. )
  400. break
  401. fi
  402. done
  403. fi
  404.  
  405. # Prepare the new configuration file
  406. config etc/mplayer/mplayer.conf.new
  407.  
  408. # Update the desktop database:
  409. if [ -x usr/bin/update-desktop-database ]; then
  410. chroot . /usr/bin/update-desktop-database usr/share/applications 1> /dev/null 2> /dev/null
  411. fi
  412.  
  413. # Update hicolor theme cache:
  414. if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  415. if [ -x usr/bin/gtk-update-icon-cache ]; then
  416. chroot . /usr/bin/gtk-update-icon-cache /usr/share/icons/hicolor >/dev/null 2>&1
  417. fi
  418. fi
  419.  
  420. # Update the mime database:
  421. if [ -x usr/bin/update-mime-database ]; then
  422. chroot . /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
  423. fi
  424.  
  425. EOINS
  426.  
  427. # Add documentation:
  428. mkdir -p $PKG/usr/doc/$PRGNAM-$PKGVERSION
  429. cp -a $DOCS $PKG/usr/doc/$PRGNAM-$PKGVERSION || true
  430. cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$PKGVERSION/$PRGNAM.SlackBuild
  431. mv $PKG/usr/doc/$PRGNAM-$PKGVERSION/HTML $PKG/usr/doc/$PRGNAM-$PKGVERSION/html
  432. # Save a sample of all configuration files:
  433. for i in etc/*.conf ; do
  434. cp $i $PKG/usr/doc/$PRGNAM-$PKGVERSION/$(basename $i)-sample
  435. done
  436. # Save a transcript of all configured options for this specific build:
  437. if [ -n $OUTPUT/configure-${PRGNAM}.log ]; then
  438. cat $OUTPUT/configure-${PRGNAM}.log \
  439. | sed -n "/^Config files successfully generated/,/^'config.h' and 'config.mak' contain your configuration options./p" \
  440. > $PKG/usr/doc/$PRGNAM-$PKGVERSION/${PRGNAM}.configuration
  441. fi
  442. find $PKG/usr/doc -type f -exec chmod 644 {} \;
  443.  
  444. # Compress the man page(s):
  445. if [ -d $PKG/usr/man ]; then
  446. find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
  447. for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
  448. fi
  449.  
  450. # Strip binaries:
  451. ( find $PKG | xargs file | grep -e "executable" -e "shared object" \
  452. | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null )
  453.  
  454. # Add a package description:
  455. mkdir -p $PKG/install
  456. cat $SRCDIR/slack-desc > $PKG/install/slack-desc
  457. if [ -f $SRCDIR/doinst.sh ]; then
  458. cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
  459. fi
  460.  
  461. # Build the package:
  462. cd $PKG
  463. makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${PKGVERSION}-${ARCH}-${BUILD}${TAG}.txz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
  464. cd $OUTPUT
  465. md5sum ${PRGNAM}-${PKGVERSION}-${ARCH}-${BUILD}${TAG}.txz > ${PRGNAM}-${PKGVERSION}-${ARCH}-${BUILD}${TAG}.txz.md5
  466. cd -
  467. cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${PKGVERSION}-${ARCH}-${BUILD}${TAG}.txt
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement